Subject: Re: [BUG] New Kernel Bugs

From: Denys Vlasenko <[email-masked]>
Date: Tue, 13 Nov 2007 17:39:45 -0700

On Tuesday 13 November 2007 10:56, Adrian Bunk wrote:
> On Tue, Nov 13, 2007 at 12:13:56PM -0500, Theodore Tso wrote:
> > On Tue, Nov 13, 2007 at 04:52:32PM +0100, Benoit Boissinot wrote:
> > > Btw, I used to test every -mm kernel. But since I've switched distros
> > > (gentoo->ubuntu)
> > > and I have less time, I feel it's harder to test -rc or -mm kernels (I
> > > know this isn't a lkml problem
> > > but more a distro problem, but I would love having an ubuntu blessed
> > > repo with current dev kernel
> > > for the latest stable ubuntu release).
> >
> > There are two parts to this.  One is a Ubuntu development kernel which
> > we can give to large numbers of people to expand our testing pool.
> > But if we don't do a better job of responding to bug reports that
> > would be generated by expanded testing this won't necessarily help us.
> >...
>
> The main problem aren't missing testers [1] - we already have relatively
> experienced people testing kernels and/or reporting bugs, and we slowly
> scare them away due to the many bug reports without any reaction.
>
> The main problem is finding experienced developers who spend time on
> looking into bug reports.
>
> Getting many relatively unexperienced users (who need more guidance for
> debugging issues) as additional testers is therefore IMHO not
> necessarily a good idea.

And where experienced developrs are coming from?
They are not born with Linux kernel skills.
They grow up from within user base.

Bigger user base -> more developers (eventually)
--
vda